package com.ruoyi.manage.mapper;

import java.util.List;
import com.ruoyi.manage.domain.BaseStore;

/**
 * 仓库信息维护Mapper接口
 * 
 * @author ruoyi
 * @date 2023-12-08
 */
public interface BaseStoreMapper 
{
    /**
     * 查询仓库信息维护
     * 
     * @param storeId 仓库信息维护主键
     * @return 仓库信息维护
     */
    public BaseStore selectBaseStoreByStoreId(Long storeId);

    /**
     * 查询仓库信息维护列表
     * 
     * @param baseStore 仓库信息维护
     * @return 仓库信息维护集合
     */
    public List<BaseStore> selectBaseStoreList(BaseStore baseStore);
    public List<BaseStore> selectStore();
    public List<BaseStore> selectArea();

    /**
     * 新增仓库信息维护
     * 
     * @param baseStore 仓库信息维护
     * @return 结果
     */
    public int insertBaseStore(BaseStore baseStore);

    /**
     * 修改仓库信息维护
     * 
     * @param baseStore 仓库信息维护
     * @return 结果
     */
    public int updateBaseStore(BaseStore baseStore);

    /**
     * 删除仓库信息维护
     * 
     * @param storeId 仓库信息维护主键
     * @return 结果
     */
    public int deleteBaseStoreByStoreId(Long storeId);

    /**
     * 批量删除仓库信息维护
     * 
     * @param storeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBaseStoreByStoreIds(String[] storeIds);
}
